{
  "name": "@openstapps/api-plugin",
  "description": "Node.js library to interact with the StApps backend service",
  "version": "3.2.0",
  "type": "module",
  "license": "GPL-3.0-only",
  "repository": "git@gitlab.com:openstapps/api.git",
  "author": "Karl-Philipp Wulfert <krlwlfrt@gmail.com>",
  "contributors": [
    "André Michael Thomas Bierlein",
    "Anselm Stordeur <anselmstordeur@gmail.com>",
    "Jovan Krunić <jovan.krunic@gmail.com>",
    "Michel Jonathan Schmitz",
    "Rainer Killinger <mail-openstapps@killinger.co>",
    "Roman Klopsch",
    "Thea Schöbl <dev@theaninova.de>"
  ],
  "main": "lib/index.js",
  "types": "lib/index.d.ts",
  "files": [
    "lib",
    "README.md",
    "CHANGELOG.md"
  ],
  "scripts": {
    "build": "tsup-node --dts",
    "docs": "typedoc --json ./docs/docs.json --options ../../typedoc.base.json src/index.ts",
    "format": "prettier . -c --ignore-path ../../.gitignore",
    "format:fix": "prettier --write . --ignore-path ../../.gitignore",
    "lint": "eslint --ext .ts src/",
    "lint:fix": "eslint --fix --ext .ts src/",
    "test": "c8 mocha --exit"
  },
  "dependencies": {
    "@openstapps/api": "workspace:*",
    "@openstapps/core": "workspace:*",
    "@openstapps/core-tools": "workspace:*",
    "@openstapps/logger": "workspace:*",
    "@types/body-parser": "1.19.2",
    "@types/express": "4.17.17",
    "@types/json-schema": "7.0.11",
    "@types/morgan": "1.9.4",
    "body-parser": "1.20.2",
    "express": "4.18.2",
    "json-schema": "0.4.0",
    "morgan": "1.10.0"
  },
  "devDependencies": {
    "@openstapps/eslint-config": "workspace:*",
    "@openstapps/prettier-config": "workspace:*",
    "@openstapps/tsconfig": "workspace:*",
    "@types/chai": "4.3.5",
    "@types/chai-as-promised": "7.1.5",
    "@types/chai-spies": "1.0.3",
    "@types/mocha": "10.0.1",
    "c8": "7.14.0",
    "chai": "4.3.7",
    "chai-as-promised": "7.1.1",
    "chai-spies": "1.0.0",
    "conventional-changelog-cli": "2.2.2",
    "mocha": "10.2.0",
    "mocha-junit-reporter": "2.2.0",
    "nock": "13.3.1",
    "ts-node": "10.9.2",
    "tsup": "6.7.0",
    "typedoc": "0.25.12",
    "typescript": "5.4.2"
  },
  "peerDependencies": {
    "@openstapps/core": "workspace:*"
  },
  "tsup": {
    "entry": [
      "src/app.ts",
      "src/index.ts"
    ],
    "sourcemap": true,
    "clean": true,
    "format": "esm",
    "outDir": "lib"
  },
  "prettier": "@openstapps/prettier-config",
  "eslintConfig": {
    "extends": [
      "@openstapps"
    ]
  }
}
